using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.EduTask
{
    /// <summary>
    /// 教务单据审核流程
    /// </summary>
    public enum EduTaskRrocessStatus
    {
        /// <summary>
        /// 未审核
        /// </summary>
        [EnumField("未审核")]
        NotAudit = 0,
        /// <summary>
        /// 审核中
        /// </summary>
        [EnumField("审核中")]
        AuditIng = 1,
        /// <summary>
        /// 通过
        /// </summary>
        [EnumField("审核通过")]
        AuditThrough = 2,
        /// <summary>
        /// 不通过
        /// </summary>
        [EnumField("审核不通过")]
        AuditNotThrough = 3,
        /// <summary>
        /// 驳回 
        /// </summary>
        [EnumField("驳回")]
        Rejected = 4,
        /// <summary>
        /// 他人已审核（仅限审核记录表） 
        /// </summary>
        [EnumField("他人已审核")]
        OtherHaveAudit = 5,

        /// <summary>
        /// 作废【HK2021-07-13新增】 
        /// </summary>
        [EnumField("作废")]
        Invalid = 6,
    }
}
